org.richfaces.fragment.autocomplete

## Class RichFacesAutocomplete.SelectOrConfirmImpl

- java.lang.Object
- - org.richfaces.fragment.autocomplete.RichFacesAutocomplete.SelectOrConfirmImpl

- All Implemented Interfaces:
    SelectOrConfirm
  Enclosing class:
    RichFacesAutocomplete

      public class RichFacesAutocomplete.SelectOrConfirmImpl
      extends Object
      implements SelectOrConfirm

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesAutocomplete.SelectOrConfirmImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Autocomplete` | `confirm()` Confirms previously typed value.
    `Autocomplete` | `select()` Selects the first suggestion.
    `Autocomplete` | `select(ChoicePicker picker)` Selects the first suggestion according to the given rules in `picker`param.``
    `Autocomplete` | `select(int index)` Selects the suggestion from the list of the suggestions at index.
    `Autocomplete` | `select(String match)` Selects the first suggestion, which matches the given text.
    `protected void` | `selectWithKeys(org.openqa.selenium.WebElement foundValue)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesAutocomplete.SelectOrConfirmImpl

          public RichFacesAutocomplete.SelectOrConfirmImpl()

  - ### Method Detail

    - #### confirm

          public Autocomplete confirm()

      Description copied from interface: `SelectOrConfirm`
      Confirms previously typed value. In other words it puts the already typed text into the associated autocomplete input.
      Specified by:
        `confirm` in interface `SelectOrConfirm`
      Returns:
        back the Autocomplete component.

    - #### select

          public Autocomplete select()

      Description copied from interface: `SelectOrConfirm`
      Selects the first suggestion.
      Specified by:
        `select` in interface `SelectOrConfirm`
      Returns:
        back the Autocomplete component.

    - #### select

          public Autocomplete select(ChoicePicker picker)

      Description copied from interface: `SelectOrConfirm`
      Selects the first suggestion according to the given rules in `picker`param. In other words, it selects the first suggestion which satisfies the choice picking rules defined in `picker```
      Specified by:
        `select` in interface `SelectOrConfirm`
      Parameters:
        `picker` - for defining the rules by which the suggestion will be selected
      Returns:
        returns back the Autocomplete component.
      See Also:
        `ChoicePickerHelper.ByIndexChoicePicker`, `ChoicePickerHelper.ByVisibleTextChoicePicker`

    - #### select

          public Autocomplete select(int index)

      Description copied from interface: `SelectOrConfirm`
      Selects the suggestion from the list of the suggestions at index.
      Specified by:
        `select` in interface `SelectOrConfirm`
      Parameters:
        `index` - index of suggestion
      Returns:
        back the Autocomplete component.

    - #### select

          public Autocomplete select(String match)

      Description copied from interface: `SelectOrConfirm`
      Selects the first suggestion, which matches the given text.
      Specified by:
        `select` in interface `SelectOrConfirm`
      Parameters:
        `match` - string to match the suggestion
      Returns:
        returns back the Autocomplete component.

    - #### selectWithKeys

          protected void selectWithKeys(org.openqa.selenium.WebElement foundValue)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.